# RSL_free_...

### Synopsis

#include "rsl.h"
void RSL_free_ray(Ray *r);
void RSL_free_sweep(Sweep *s);
void RSL_free_volume(Volume *v);

###

Description

RSL_free_volume calls RSL_free_sweep for the number of sweeps, then frees the array of Sweep pointers, then frees itself. RSL_free_sweep calls RSL_free_ray for the number of rays, then frees the array of Ray pointers, then frees itself. Finally, RSL_free_ray frees the array of Range, then frees itself. Checks are made that non NULL pointers are freed.

### Return value

None.

### See also

RSL_clear_volume, RSL_clear_sweep, RSL_clear_ray.

Author: John H. Merritt